#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%define		pdir	String
%define		pnam	CRC
Summary:	String::CRC - Perl interface to Cyclic Redundancy Check generation
Summary(pl.UTF-8):	String::CRC - perlowy interfejs do generowania CRC
Name:		perl-String-CRC
Version:	1.0
Release:	24
License:	Public Domain
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/String/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	ba07f022b5abf869a7b73f98f8abcf9f
URL:		http://search.cpan.org/dist/String-CRC/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
String::CRC module calculates CRC of various lenghts.

%description -l pl.UTF-8
Moduł String::CRC oblicza CRC różnej długości.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%{perl_vendorarch}/String/CRC.pm
%dir %{perl_vendorarch}/auto/String/CRC
%attr(755,root,root) %{perl_vendorarch}/auto/String/CRC/CRC.so
%{_mandir}/man3/*
%changelog
* Wed Apr 29 2020 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/perl-String-CRC.git;a=log;h=5f246750d43356738a1923f5d3686e9b4d9d336c

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 5f24675
- drop obsolete and outdated manual inclusion of rpm macros

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> d94050b
- rebuild with perl 5.30.0
- release 24 (by relup.sh)

* Wed Aug 29 2018 Marcin Krol <hawk@tld-linux.org> 5ff82a9
- release 23

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 40c1962
- perl req/prov fix
- release 22 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 296aa91
- rebuild with perl 5.26
- release 21 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> 4c9279e
- rebuild with perl 5.24.0
- release 20 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> ebe4c62
- release 19 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> a23b488
- x32 rebuild
- release 18 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> f67349c
- release 17 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 51a7396
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 6174cb9
- rebuild for perl 5.20
- release 16 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 47f27d3
- rebuild with perl 5.18.0
- release 15 (by relup.sh)

* Tue Oct 11 2011 lisu <lisu@pld-linux.org> 868635d
- rel 14

* Fri Nov 12 2010 pawelz <pawelz@pld-linux.org> 31e8325
- release 13

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 9237ae3
- release 12

* Sat Mar 14 2009 hawk <hawk@pld-linux.org> c029c98
- release 11

* Mon Mar 24 2008 Jakub Bogusz <qboosh@pld-linux.org> 56bc8f9
- generic URL, informative summaries

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 8001bca
- rel 10

* Thu Jan 10 2008 Elan Ruusamäe <glen@pld-linux.org> c330ac9
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 6d48c87
- tabs in preamble

